package com.keao.edu.user.service;


import com.keao.edu.common.page.PageInfo;
import com.keao.edu.common.service.BaseService;
import com.keao.edu.user.entity.Teacher;
import com.keao.edu.user.page.TeacherQueryInfo;

public interface TeacherService extends BaseService<Integer, Teacher> {

    /**
     * 新增教师
     * @param teacher
     */
    int add(Teacher teacher);

    /**
     * 修改教师基本信息
     * @param teacher
     */
    void updateTeacher(Teacher teacher);

    PageInfo<Teacher> queryTeacherPage(TeacherQueryInfo queryInfo);

    void del(Integer id);
}